KBUILDSYCOCA5(8)

NAME
kbuildsycoca5 - Rebuilds the KService desktop file system configuration cache.

SYNOPSIS

kbuildsycoca5
 [OPTIONS...]

DESCRIPTION

kbuildsycoca5 builds binary cache of the data stored in .desktop and MIME type .xml files that the KService framework uses to find plugins, applications and other services.

The KService library uses this database to efficiently provide the information requested of it.

Users do not normally need to run this application directly; KService will run it if necessary, when any of the files whose data is cached are changed.

OPTIONS

--global
    Ignores any user-set files (in XDG_DATA_HOME). This is currently only supported on Unix systems.

--noincremental
    Rather than using the existing cache and only updating the information that has changed or been added, start with an empty cache. Ignored if --global is set.

--nosignal
    Ordinarily, kbuildsyscoca5 sends a signal over D-Bus once the cache is updated to all the applications that use KService so that they are always working with the latest information. This option suppresses that behaviour.

--menutest
    Test the generation of the application menu database. Does not actually build the cache.

--testmode
    Use the QStandardPaths "test mode" to avoid interfering with user data. This is intended for use with unit tests.

--track menu-id
    Track a menu ID for debugging.

--author
    Show author information.

--license
    Show license information.

-h, --help
    Show a brief help text.

-v , --version
    Show version information.

FILES

cachedir/ksycoca5_[lang]_[sha1-of-dirs]
    The KService cache generated by kbuildsycoca5. On Unix systems, cachedir is typically XDG_CONFIG_HOME

SEE ALSO

kded5(8), kdeinit5(8)

BUGS

Please use KDE's bugtracker[1] to report bugs.

AUTHORS

Darian Lanx <content@openprojects.net>
    Wrote the original documentation.

Alex Merry <alexmerry@kde.org>
    Updated the documentation for KDE Frameworks 5.

NOTES

1.  KDE's bugtracker
    http://bugs.kde.org